Package epydoc :: Module docbuilder :: Class BuildOptions

[hide private]
[frames] | no frames]

# Class BuildOptions

source code

Holds the parameters for a documentation building process.

Instance Methods | [hide private]

__init__(self, introspect=True, parse=True, exclude_introspect=None, exclude_parse=None, add_submodules=True) | source code call graph

Call Graph

must_introspect(self, name) Return `True` if a module is to be introsepcted with the current settings. | source code call graph

Call Graph

must_parse(self, name) Return `True` if a module is to be parsed with the current settings. | source code call graph

Call Graph

`bool`

_matches_filter(self, name, regexp) Test if a module name matches a pattern. | source code call graph

Call Graph

Method Details | [hide private]

### must_introspect(self, name)

source code
call graph

Call Graph

Return `True` if a module is to be introsepcted with the current settings.

Parameters:
  - `name` (DottedName or `str`) - The name of the module to test

### must_parse(self, name)

source code
call graph

Call Graph

Return `True` if a module is to be parsed with the current settings.

Parameters:
  - `name` (DottedName or `str`) - The name of the module to test

### _matches_filter(self, name, regexp)

source code
call graph

Call Graph

Test if a module name matches a pattern.

Parameters:
  - `name` (DottedName or `str`) - The name of the module to test
  - `regexp` (`pattern`) - The pattern object to match `name` against. If `None`, return `False`
Returns: `bool`
  `True` if `name` in dotted format matches `regexp`, else `False`